<?php
	require_once("function.php");
	
	$topic_query = mysqli_query($dbcnx, "SELECT * FROM `topics` WHERE `id`=" . $_GET['id']);
	if ($topic_query->num_rows == 0)
			header("Location: /forum/");
	$topic = mysqli_fetch_row($topic_query);
	$user_query = mysqli_query($dbcnx, "SELECT * FROM `users` WHERE `id`=" . $topic[4]);
	$user = mysqli_fetch_row($user_query);
	
	$posts_query = mysqli_query($dbcnx, "SELECT * FROM `posts` WHERE `topic_id`=" . $_GET['id']);
	
	if ($posts_query->num_rows == 0)
		$posts = '<div class="well text-center"><h4>Пока что нет ни одного ответа.</h4></div>';
	else
	{
		 while ($row = mysqli_fetch_row($posts_query)) {
			$result = mysqli_query($dbcnx, "SELECT * FROM `users` WHERE `id`=" . $row[2] . " LIMIT 0,1");
			$res = mysqli_fetch_assoc($result);
			$posts .= '<hr><div><p><strong>' . $res['login'] . '</strong> / ' . date("d.m.Y, H:i:s", $row[4]) . '</p><div class="well well-sm">' . $row[3] . '</div></div>' . PHP_EOL;
		}
		
		$posts .= '</tbody></table>';
	}
	
	if (isset($_POST['text']))
	{
		if(!isset($_SESSION['ssid']))
			header("Location: /forum/registration.php");
		
		$text = $_POST['text'];
		$user_id = $_SESSION['ssid'];
		$result = mysqli_query($dbcnx, "INSERT INTO posts(id, topic_id, user_id, text, date) VALUES (NULL, " . $topic[0] . ", $user_id, '$text', " . time() .")") or die ("Ошибка при выполнении запроса: " . mysqli_error($dbcnx));
		$result = mysqli_query($dbcnx, "UPDATE `topics` SET `posts`=" . ((int)$topic[5] + 1) ." WHERE `id`=" . $_GET['id']);
		header("Location: /forum/topic.php?id=" . $_GET['id']);
	}
?>

<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title><?=$topic[1]?> - Форум</title>
		<link href="css/bootstrap.min.css" rel="stylesheet">
		<link href="css/bootstrap-theme.min.css" rel="stylesheet">
		<link href="css/style.css" rel="stylesheet">
	</head>
	<body>
		<nav class="navbar navbar-default navbar-fixed-top">
			<div class="container">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
						<span class="sr-only">Toggle navigation</span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</button>
					<a class="navbar-brand" href="/forum/">Форум</a>
				</div>
				<div id="navbar" class="collapse navbar-collapse">
					<ul class="nav navbar-nav navbar-right">
						<li><a href="/forum/">Главная</a></li>
						<?php
							if (isset($_SESSION['ssid']))
							{
						?>
						<li><a href="/forum/users.php">Пользователи</a></li>
						<li><a href="/forum/logout.php">Выход</a></li>
						<?php
							}
							else
							{
						?>
						<li><a href="#myLogin" data-toggle="modal" data-target="#myLogin">Вход</a></li>
						<li><a href="/forum/registration.php">Регистрация</a></li>
						<?php
							}
						?>
					</ul>
				</div>
			</div>
		</nav>
		
		<div class="content container">
			<div class="row">
				<div class="col-xs-12 col-sm-8">
					<h2>Топик: <?=$topic[1]?></h2>
					<h3><small>Автор: <?=$user[1]?>/ Создано: <?=date("d.m.Y, H:i:s", $topic[3])?></small></h3>
					<div class="well">
						<?=$topic[2]?>
					</div>
					<div class="topics">
						<?=$posts?>
					</div>
				</div>
				<div class="col-xs-12 col-sm-4">
					<h3>Добавить сообщение</h3>
					<hr>
					<?php
						if (isset($_SESSION['ssid']))
						{
					?>
					<div class="new_topic">
						<form action="" method="post">
							<div class="form-group">
								<textarea class="form-control" name="text"></textarea>
							</div>
							<div class="text-right">
								<button type="submit" class="btn btn-primary">Ответить</button>
							</div>
						</form>
					</div>
					<?php
						}
						else
						{
					?>
					<div class="alert alert-danger">
						<h3>Ошибка</h3>
						<p class="text-justify">Писать ответы могут только зарегистрированные пользователи. Пожалуйста, <a href="#myLogin" data-toggle="modal" data-target="#myLogin">войдите</a> как пользователь или <a href="/forum/registration.php">зарегистрируйтесь</a>.</p>
					</div>
					<?php
						}
					?>
				</div>
			</div>
		</div>
		
		<div class="modal fade" id="myLogin" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
			<div class="modal-dialog">
				<div class="modal-content">
					<form action="/forum/login.php" method="post">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
							<h4 class="modal-title" id="myModalLabel">Авторизация</h4>
						</div>
						<div class="modal-body">
							<div class="row">
								<div class="col-xs-10 col-xs-offset-1 col-sm-8 col-sm-offset-2">
									<div class="form-group">
										<label>Логин:</label>
										<input type="text" name="login" class="form-control" required>
									</div>
									<div class="form-group">
										<label>Пароль:</label>
										<input type="password" name="password" class="form-control" required>
									</div>
								</div>
							</div>
						</div>
						<div class="modal-footer">
							<button type="submit" class="btn btn-primary">Войти</button>
						</div>
					</form>
				</div>
			</div>
		</div>
		
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
	</body>
</html>