<?php
	require_once("function.php");
	
	if (!isset($_SESSION['ssid']))
		header("Location: /forum/");
	
	$topics_query = mysqli_query($dbcnx, "SELECT * FROM `users`");
	$users = '<table class="table table-bordered"><thead><tr><th>Логин</th><th>Заходил</th><th>Имя</th><th>Фамилия</th></tr></thead><tbody>' . PHP_EOL;
	
	 while ($row = mysqli_fetch_row($topics_query)) {
		$users .= '<tr><td>' . $row[1] . '</td><td>' . (time() - $row[6] > 30 ? date("d.m.Y, H:i:s", $row[6]): '<span class="label label-success">online</span>') . '</td><td>' . $row[4] . '</td><td>' . $row[5] . '</td></tr>' . PHP_EOL;
	}
	
	$users .= '</tbody></table>';
?>

<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Пользователи - Форум</title>
		<link href="css/bootstrap.min.css" rel="stylesheet">
		<link href="css/bootstrap-theme.min.css" rel="stylesheet">
		<link href="css/style.css" rel="stylesheet">
	</head>
	<body>
		<nav class="navbar navbar-default navbar-fixed-top">
			<div class="container">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
						<span class="sr-only">Toggle navigation</span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</button>
					<a class="navbar-brand" href="/forum/">Форум</a>
				</div>
				<div id="navbar" class="collapse navbar-collapse">
					<ul class="nav navbar-nav navbar-right">
						<li><a href="/forum/">Главная</a></li>
						<?php
							if (isset($_SESSION['ssid']))
							{
						?>
						<li class="active"><a href="/forum/users.php">Пользователи</a></li>
						<li><a href="/forum/logout.php">Выход</a></li>
						<?php
							}
							else
							{
						?>
						<li><a href="#myLogin" data-toggle="modal" data-target="#myLogin">Вход</a></li>
						<li><a href="/forum/registration.php">Регистрация</a></li>
						<?php
							}
						?>
					</ul>
				</div>
			</div>
		</nav>
		
		<div class="content container">
			<div class="row">
				<div class="col-xs-10 col-xs-offset-1 col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3">
					<?=$users?>
				</div>
			</div>
		</div>
		
		<div class="modal fade" id="myLogin" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
			<div class="modal-dialog">
				<div class="modal-content">
					<form action="/forum/login.php" method="post">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
							<h4 class="modal-title" id="myModalLabel">Авторизация</h4>
						</div>
						<div class="modal-body">
							<div class="row">
								<div class="col-xs-10 col-xs-offset-1 col-sm-8 col-sm-offset-2">
									<div class="form-group">
										<label>Логин:</label>
										<input type="text" name="login" class="form-control" required>
									</div>
									<div class="form-group">
										<label>Пароль:</label>
										<input type="password" name="password" class="form-control" required>
									</div>
								</div>
							</div>
						</div>
						<div class="modal-footer">
							<button type="submit" class="btn btn-primary">Войти</button>
						</div>
					</form>
				</div>
			</div>
		</div>
		
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
	</body>
</html>