<?php
	if (isset($_GET['preview']) && $_GET['preview'] == 1)
	{
?>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<style type="text/css">
			body {
				padding: 10px;
			}
			table {
				border: <?=$_GET['table_border_size']?>px solid #<?=$_GET['table_border_color']?>;
				border-radius: <?=$_GET['table_border_radius']?>px;
			}
			th {
				color: #<?=$_GET['th_color']?>;
				background-color: #<?=$_GET['th_background']?>;
				font-family: <?=$_GET['th_font']?>;
				font-size: <?=$_GET['th_size']?>px;
				padding: <?=$_GET['table_padding']?>px;
			}
			td {
				padding: <?=$_GET['table_padding']?>px;
				text-align: <?=$_GET['table_align']?>;
				color: #<?=$_GET['td_color']?>;
				background-color: #<?=$_GET['td_background']?>;
				font-family: <?=$_GET['td_font']?>;
				font-size: <?=$_GET['td_size']?>px;
			}
		</style>
	</head>
	<body>
		<table>
			<thead>
				<tr>
					<th>Заголовок</th>
					<th>Количество</th>
					<th>Дата</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>Молоко</td>
					<td>10</td>
					<td>28.03.2015</td>
				</tr>
				<tr>
					<td>Варенье</td>
					<td>2</td>
					<td>25.03.2015</td>
				</tr>
				<tr>
					<td>Хлеб</td>
					<td>5</td>
					<td>27.03.2015</td>
				</tr>
			</tbody>
		</table>
	</body>
</html>
<?php
	}
	elseif (isset($_GET['save']) && $_GET['save'] == 1)
	{
		$content = 'table {
	border: ' . $_GET['table_border_size'] . 'px solid #' . $_GET['table_border_color'] . ';
	border-radius: ' . $_GET['table_border_radius'] . 'px;
}
th {
	color: #' . $_GET['th_color'] . ';
	background-color: #' . $_GET['th_background'] . ';
	font-family: ' . $_GET['th_font'] . ';
	font-size: ' . $_GET['th_size'] . 'px;
	padding: ' . $_GET['table_padding'] . 'px;
}
td {
	padding: ' . $_GET['table_padding'] . 'px;
	text-align: ' . $_GET['table_align'] . ';
	color: #' . $_GET['td_color'] . ';
	background-color: #' . $_GET['td_background'] . ';
	font-family: ' . $_GET['td_font'] . ';
	font-size: ' . $_GET['td_size'] . 'px;
}';
		$length = strlen($content);
		header('Content-Description: File Transfer');
		header('Content-Type: text/css');
		header('Content-Disposition: attachment; filename=style.css');
		header('Content-Transfer-Encoding: binary');
		header('Content-Length: ' . $length);
		header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
		header('Expires: 0');
		header('Pragma: public');

		echo $content;
		exit;
	}
	else
	{
?>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Генератор CSS</title>
		<link href="css/bootstrap.min.css" rel="stylesheet">
		<link href="css/bootstrap-theme.min.css" rel="stylesheet">
		<link href="css/bootstrap-colorpicker.min.css" rel="stylesheet">
		<link href="css/custom-theme/jquery-ui-1.9.2.custom.css" rel="stylesheet" />
		<link href="css/style.css" rel="stylesheet">
	</head>
	<body>
		<div class="content">
			<div class="row">
				<div class="col-xs-12 col-sm-6 col-lg-8">
					<div class="row">
						<div class="col-xs-12 col-lg-4">
							<h4>Настройки таблицы</h4>
							<hr>
							<div class="form-group">
								<label>Толщина рамки таблицы:</label>
								<div class="input-group">
									<input type="text" id="table_border_size" value="2" class="form-control" />
									<span class="input-group-addon">px</span>
								</div>
							</div>
							<div class="form-group">
								<label>Радиус скругления таблицы</label>
								<div class="input-group">
									<input type="text" id="table_border_radius"value="5" class="form-control" />
									<span class="input-group-addon">px</span>
								</div>
							</div>
							<div class="form-group">
								<label>Цвет рамки таблицы:</label>
								<div class="input-group color1">
									<input type="text" id="table_border_color" value="#000000" class="form-control" />
									<span class="input-group-addon"><i></i></span>
								</div>
							</div>
							<div class="form-group">
								<label>Отступ внутри ячеек</label>
								<div class="input-group">
									<input type="text" id="table_padding" value="5" class="form-control" />
									<span class="input-group-addon">px</span>
								</div>
							</div>
							<div class="form-group">
								<label>Выравнивание ячеек</label>
								<select id="table_align" class="form-control">
									<option value="left">По левому краю</option>
									<option value="right">По правому краю</option>
									<option value="center">По центру</option>
								</select>
							</div>
						</div>
						<div class="col-xs-12 col-lg-4">
							<h4>Настройки заголовка</h4>
							<hr>
							<div class="form-group">
								<label>Цвет фона заголовка:</label>
								<div class="input-group color2">
									<input type="text" id="th_background" value="#ffffff" class="form-control" />
									<span class="input-group-addon"><i></i></span>
								</div>
							</div>
							<div class="form-group">
								<label>Шрифт заголовка:</label>
								<select id="th_font" class="form-control">
									<option value="Arial">Arial</option>
									<option value="Calibri">Calibri</option>
									<option value="Comics Sans">Comics Sans</option>
									<option value="Tahoma">Tahoma</option>
									<option value="Times New Roman">Times New Roman</option>
									<option value="Verdana">Verdana</option>
								</select>
							</div>
							<div class="form-group">
								<label>Размер шрифта заголовка:</label>
								<div class="input-group">
									<input type="text" id="th_size" value="14" class="form-control" />
									<span class="input-group-addon">px</span>
								</div>
							</div>
							<div class="form-group">
								<label>Цвет шрифта заголовка:</label>
								<div class="input-group color3">
									<input type="text" id="th_color" value="#000000" class="form-control" />
									<span class="input-group-addon"><i></i></span>
								</div>
							</div>
						</div>
						<div class="col-xs-12 col-lg-4">
							<h4>Настройки ячеек</h4>
							<hr>
							<div class="form-group">
								<label>Цвет фона ячеек:</label>
								<div class="input-group color4">
									<input type="text" id="td_background" value="#fff" class="form-control" />
									<span class="input-group-addon"><i></i></span>
								</div>
							</div>
							<div class="form-group">
								<label>Шрифт ячеек</label>
								<select id="td_font" class="form-control">
									<option value="Arial">Arial</option>
									<option value="Calibri">Calibri</option>
									<option value="Comics Sans">Comics Sans</option>
									<option value="Tahoma">Tahoma</option>
									<option value="Times New Roman">Times New Roman</option>
									<option value="Verdana">Verdana</option>
								</select>
							</div>
							<div class="form-group">
								<label>Размер шрифта ячеек</label>
								<div class="input-group">
									<input type="text" id="td_size" value="12" class="form-control" />
									<span class="input-group-addon">px</span>
								</div>
							</div>
							<div class="form-group">
								<label>Цвет шрифта ячеек:</label>
								<div class="input-group color5">
									<input type="text" id="td_color" value="#000000" class="form-control" />
									<span class="input-group-addon"><i></i></span>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-xs-12 col-sm-6 col-lg-4">
					<h4>Предпросмотр</h4>
					<hr>
					<div id="preview"></div>
				</div>
			</div>
			<hr>
			<div class="text-right">
				<a href="javascript://" id="preview_start" class="btn btn-lg btn-success">Посмотреть таблицу</a>
				<a href="javascript://" id="file_start" class="btn btn-lg btn-primary">Сохранить файл</a>
			</div>
		</div>
		
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/bootstrap-colorpicker.min.js"></script>
		<script src="js/jquery-ui-1.9.2.custom.min.js" type="text/javascript"></script>
		<script src="js/app.js"></script>
	</body>
</html>
<?php
	}
?>